Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.edit.provider
Class ModelQueryResultItemProvider

    java.lang.Object
      ItemProviderAdapter
          org.eclipse.gmt.modisco.infra.query.runtime.edit.provider.ModelQueryResultItemProvider

    public class ModelQueryResultItemProvider

extends ItemProviderAdapter

This is the item provider adapter for a `ModelQueryResult` object.

Constructor Summary
`ModelQueryResultItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` | `getImage(java.lang.Object object)` This returns ModelQueryResult.gif.
`java.util.List<IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelQueryResultItemProvider

    public ModelQueryResultItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns ModelQueryResult.gif.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD